--- emacs24-24.3+1.orig/lisp/progmodes/cc-cmds.el
+++ emacs24-24.3+1/lisp/progmodes/cc-cmds.el
@@ -2044,8 +2028,8 @@ function does not require the declaratio
   ;; follows:
   ;;
   ;; A c-style block comment has its opening "/*" and its closing "*/" (if
-  ;; present) removed.  A c++-style line comment retains its opening "//" but
-  ;; has any final NL removed.  If POINT is currently outwith these innards,
+  ;; present) removed.	A c++-style line comment retains its opening "//" but
+  ;; has any final NL removed.	If POINT is currently outwith these innards,
   ;; move it to the appropriate boundary.
   ;;
   ;; This narrowing simplifies the sentence movement functions, since it
@@ -2089,7 +2073,7 @@ function does not require the declaratio
 	(c-narrow-to-comment-innards range) ; This may move point back.
 	(let* ((here (point))
 	       last
-	       (here-filler	   ; matches WS and comment-prefixes at point.
+	       (here-filler	   ; matches WS and comment-prefices at point.
 		(concat "\\=\\(^[ \t]*\\(" c-current-comment-prefix "\\)"
 			"\\|[ \t\n\r\f]\\)*"))
 	       (prefix-at-bol-here ; matches WS and prefix at BOL, just before point
@@ -2109,7 +2093,7 @@ function does not require the declaratio
 
 	  ;; Now seek successively earlier sentence ends between PAR-BEG and
 	  ;; HERE, until the "start of sentence" following it is earlier than
-	  ;; HERE, or we hit PAR-BEG.  Beware of comment prefixes!
+	  ;; HERE, or we hit PAR-BEG.  Beware of comment prefices!
 	  (while (and (re-search-backward (c-sentence-end) par-beg 'limit)
 		      (setq last (point))
 		      (goto-char (match-end 0))	; tentative beginning of sentence
@@ -2139,7 +2123,7 @@ function does not require the declaratio
   ;; and return T.
   ;;
   ;; The EOS is just after the non-WS part of the next match of the regexp
-  ;; sentence-end.  Typically, this is just after one of [.!?].  If there is
+  ;; sentence-end.  Typically, this is just after one of [.!?].	 If there is
   ;; no sentence-end match following point, any WS before the end of the
   ;; comment will count as EOS, providing we're not already in it.
   ;;
@@ -2150,7 +2134,7 @@ function does not require the declaratio
   ;; This function might do hidden buffer changes.
   (save-match-data
     (let ((start-point (point))
-	  ;; (lit-type (c-literal-type range))  ; Commented out, 2005/11/23, ACM
+	  ;; (lit-type (c-literal-type range))	; Commented out, 2005/11/23, ACM
 	  )
       (save-restriction
 	(c-narrow-to-comment-innards range) ; This might move point forwards.
@@ -2216,7 +2200,7 @@ function does not require the declaratio
 	   (end (1- (cdr range)))
 	   (here-filler		   ; matches WS and escaped newlines at point.
 	    "\\=\\([ \t\n\r\f]\\|\\\\[\n\r]\\)*")
-	   ;; Enhance paragraph-start and paragraph-separate also to recognize
+	   ;; Enhance paragraph-start and paragraph-separate also to recognise
 	   ;; blank lines terminated by escaped EOLs.  IT MAY WELL BE that
 	   ;; these values should be customizable user options, or something.
 	   (paragraph-start c-string-par-start)
@@ -2242,7 +2226,7 @@ function does not require the declaratio
 		  (or (> (point) end)
 		      (progn
 			(re-search-forward
-			 here-filler end t) ; always succeeds.  Use end rather
+			 here-filler end t) ; always succeeds.	Use end rather
 					; than here, in case point starts
 					; beyond the closing quote.
 			(>= (point) here))))
@@ -2260,7 +2244,7 @@ function does not require the declaratio
   ;; and return T.
   ;;
   ;; The EOS is just after the non-WS part of the next match of the regexp
-  ;; sentence-end.  Typically, this is just after one of [.!?].  If there is
+  ;; sentence-end.  Typically, this is just after one of [.!?].	 If there is
   ;; no sentence-end match following point, any WS before the end of the
   ;; string will count as EOS, providing we're not already in it.
   ;;
@@ -2272,7 +2256,7 @@ function does not require the declaratio
   (save-match-data
     (let* ((here (point))
 	   last
-	   ;; Enhance paragraph-start and paragraph-separate to recognize
+	   ;; Enhance paragraph-start and paragraph-separate to recognise
 	   ;; blank lines terminated by escaped EOLs.
 	   (paragraph-start c-string-par-start)
 	   (paragraph-separate c-string-par-separate)
@@ -2354,7 +2338,7 @@ function does not require the declaratio
 
 (defun c-after-statement-terminator-p () ; Should we pass in LIM here?
   ;; Does point immediately follow a statement "terminator"?  A virtual
-  ;; semicolon is regarded here as such.  So is an opening brace ;-)
+  ;; semicolon is regarded here as such.  So is a an opening brace ;-)
   ;;
   ;; This function might do hidden buffer changes.
   (or (save-excursion
@@ -2366,7 +2350,7 @@ function does not require the declaratio
       (c-at-vsemi-p)
       ;; The following (for macros) is not strict about exactly where we are
       ;; wrt white space at the end of the macro.  Doesn't seem to matter too
-      ;; much.  ACM 2004/3/29.
+      ;; much.	ACM 2004/3/29.
       (let (eom)
 	(save-excursion
 	  (if (c-beginning-of-macro)
@@ -2380,24 +2364,24 @@ function does not require the declaratio
 (defun c-back-over-illiterals (macro-start)
   ;; Move backwards over code which isn't a literal (i.e. comment or string),
   ;; stopping before reaching BOB or a literal or the boundary of a
-  ;; preprocessor statement or the "beginning of a statement".  MACRO-START is
+  ;; preprocessor statement or the "beginning of a statement".	MACRO-START is
   ;; the position of the '#' beginning the current preprocessor directive, or
   ;; NIL if we're not in such.
   ;;
   ;; Return a cons (A.B), where
   ;;   A is NIL if we moved back to a BOS (and know it), T otherwise (we
-  ;;     didn't move, or we hit a literal, or we're not sure about BOS).
+  ;;	 didn't move, or we hit a literal, or we're not sure about BOS).
   ;;   B is MACRO-BOUNDARY if we are about to cross the boundary out of or
-  ;;     into a macro, otherwise LITERAL if we've hit a literal, otherwise NIL
+  ;;	 into a macro, otherwise LITERAL if we've hit a literal, otherwise NIL
   ;;
   ;;   The total collection of returned values is as follows:
-  ;;     (nil . nil): Found a BOS whilst remaining inside the illiterals.
-  ;;     (t . literal): No BOS found: only a comment/string.  We _might_ be at
-  ;;                    a BOS - the caller must check this.
-  ;;     (nil . macro-boundary): only happens with non-nil macro-start.  We've
-  ;;                             moved and reached the opening # of the macro.
-  ;;     (t . macro-boundary): Every other circumstance in which we're at a
-  ;;                           macro-boundary.  We might be at a BOS.
+  ;;	 (nil . nil): Found a BOS whilst remaining inside the illiterals.
+  ;;	 (t . literal): No BOS found: only a comment/string.  We _might_ be at
+  ;;			a BOS - the caller must check this.
+  ;;	 (nil . macro-boundary): only happens with non-nil macro-start.	 We've
+  ;;				 moved and reached the opening # of the macro.
+  ;;	 (t . macro-boundary): Every other circumstance in which we're at a
+  ;;			       macro-boundary.	We might be at a BOS.
   ;;
   ;; Point is left either at the beginning-of-statement, or at the last non-ws
   ;; code before encountering the literal/BOB or macro-boundary.
@@ -2407,8 +2391,8 @@ function does not require the declaratio
   ;; or between two distinct preprocessor commands.
   ;;
   ;; Stop before `{' and after `;', `{', `}' and `};' when not followed by `}'
-  ;; or `)', but on the other side of the syntactic ws.  Move by sexps and
-  ;; move into parens.  Also stop before `#' when it's at boi on a line.
+  ;; or `)', but on the other side of the syntactic ws.	 Move by sexps and
+  ;; move into parens.	Also stop before `#' when it's at boi on a line.
   ;;
   ;; This function might do hidden buffer changes.
   (save-match-data
@@ -2468,7 +2452,7 @@ function does not require the declaratio
 	   ;; BOS.  (N.B. I don't think (eq (point) here) can ever be true
 	   ;; here.  FIXME!!! ACM 2004/3/29)
 	   ((and macro-start (eq (point) macro-start))
- 	    (throw 'done (cons (eq (point) here) 'macro-boundary)))
+	    (throw 'done (cons (eq (point) here) 'macro-boundary)))
 
 	   ;; Stop at token just after "}" or ";".
 	   ((looking-at "[;}]")
@@ -2493,22 +2477,22 @@ function does not require the declaratio
 (defun c-forward-over-illiterals (macro-end allow-early-stop)
   ;; Move forwards over code, stopping before reaching EOB or a literal
   ;; (i.e. a comment/string) or the boundary of a preprocessor statement or
-  ;; the "end of a statement".  MACRO-END is the position of the EOL/EOB which
+  ;; the "end of a statement".	MACRO-END is the position of the EOL/EOB which
   ;; terminates the current preprocessor directive, or NIL if we're not in
   ;; such.
   ;;
   ;; ALLOW-EARLY-STOP is non-nil if it is permissible to return without moving
-  ;; forward at all, should we encounter a `{'.  This is an ugly kludge, but
-  ;; seems unavoidable.  Depending on the context this function is called
+  ;; forward at all, should we encounter a `{'.	 This is an ugly kludge, but
+  ;; seems unavoidable.	 Depending on the context this function is called
   ;; from, we _sometimes_ need to stop there.  Currently (2004/4/3),
   ;; ALLOW-EARLY-STOP is applied only to open braces, not to virtual
   ;; semicolons, or anything else.
   ;;
   ;; Return a cons (A.B), where
   ;;   A is NIL if we moved forward to an EOS, or stay at one (when
-  ;;     ALLOW-EARLY-STOP is set), T otherwise (we hit a literal).
+  ;;	 ALLOW-EARLY-STOP is set), T otherwise (we hit a literal).
   ;;   B is 'MACRO-BOUNDARY if we are about to cross the boundary out of or
-  ;;     into a macro, otherwise 'LITERAL if we've hit a literal, otherwise NIL
+  ;;	 into a macro, otherwise 'LITERAL if we've hit a literal, otherwise NIL
   ;;
   ;; Point is left either after the end-of-statement, or at the last non-ws
   ;; code before encountering the literal, or the # of the preprocessor
@@ -2523,7 +2507,7 @@ function does not require the declaratio
   ;;
   ;; Stop before `{', `}', and `#' when it's at boi on a line, but on the
   ;; other side of the syntactic ws, and after `;', `}' and `};'.  Only
-  ;; stop before `{' if at top level or inside braces, though.  Move by
+  ;; stop before `{' if at top level or inside braces, though.	Move by
   ;; sexps and move into parens.  Also stop at eol of lines with `#' at
   ;; the boi.
   ;;
@@ -2588,13 +2572,12 @@ function does not require the declaratio
 	  (goto-char last)
 	  (throw 'done '(nil . nil)))
 
-	 ;; Stop if we encounter a preprocessor line.  Continue if we
-	 ;; hit a naked #
+	 ;; Stop if we encounter a preprocessor line.  Continue if we hit a naked #
 	 ((and c-opt-cpp-prefix
 	       (not macro-end)
 	       (eq (char-after) ?#)
 	       (= (point) (c-point 'boi)))
-	  (if (= (point) here)          ; Not a macro, therefore naked #.
+	  (if (= (point) here)		; Not a macro, therefore naked #.
 	      (forward-char)
 	    (throw 'done '(t . macro-boundary))))
 
@@ -2640,7 +2623,7 @@ to search for the syntactic context, and
 sentence motion in or near comments and multiline strings.
 
 Note that for use in programs, `c-beginning-of-statement-1' is
-usually better.  It has much better defined semantics than this one,
+usually better.	 It has much better defined semantics than this one,
 which is intended for interactive use, and might therefore change to
 be more \"DWIM:ey\"."
   (interactive (list (prefix-numeric-value current-prefix-arg)
@@ -2701,7 +2684,7 @@ be more \"DWIM:ey\"."
 			  (memq (char-after) '(?\) ?\}))
 			  (and
 			   (car res)
-			   ;; We're at a tentative BOS.  The next form goes
+			   ;; We're at a tentative BOS.	 The next form goes
 			   ;; back over WS looking for an end of previous
 			   ;; statement.
 			   (not (save-excursion
@@ -2710,7 +2693,7 @@ be more \"DWIM:ey\"."
 				    (c-backward-syntactic-ws))
 				  (or (bobp) (c-after-statement-terminator-p)))))))
 		;; Are we about to move backwards into or out of a
-		;; preprocessor command?  If so, locate its beginning.
+		;; preprocessor command?  If so, locate it's beginning.
 		(when (eq (cdr res) 'macro-boundary)
 		  (save-excursion
 		    (beginning-of-line)
@@ -2833,12 +2816,12 @@ sentence motion in or near comments and
    c-electric-lt-gt
    c-electric-colon
    c-electric-paren))
-(put 'c-electric-delete    'delete-selection 'supersede) ; delsel
-(put 'c-electric-delete    'pending-delete   'supersede) ; pending-del
+(put 'c-electric-delete	   'delete-selection 'supersede) ; delsel
+(put 'c-electric-delete	   'pending-delete   'supersede) ; pending-del
 (put 'c-electric-backspace 'delete-selection 'supersede) ; delsel
 (put 'c-electric-backspace 'pending-delete   'supersede) ; pending-del
 (put 'c-electric-delete-forward 'delete-selection 'supersede) ; delsel
-(put 'c-electric-delete-forward 'pending-delete   'supersede) ; pending-del
+(put 'c-electric-delete-forward 'pending-delete	  'supersede) ; pending-del
 
 
 ;; Inserting/indenting comments
@@ -2993,7 +2976,7 @@ A prefix argument acts as a repeat count
 move forward across a preprocessor conditional.
 
 The optional arguments TARGET-DEPTH and WITH-ELSE are historical,
-and have the same meanings as in `c-scan-conditionals'.  If you
+and have the same meanings as in `c-scan-conditionals'.	 If you
 are calling c-forward-conditional from a program, you might want
 to call `c-scan-conditionals' directly instead."
   (interactive "p")
@@ -3008,13 +2991,13 @@ A prefix argument acts as a repeat count
 move backward across a preprocessor conditional.
 
 If there aren't enough conditionals after \(or before) point, an
-error is signaled.
+error is signalled.
 
 \"#elif\" is treated like \"#else\" followed by \"#if\", except that
 the nesting level isn't changed when tracking subconditionals.
 
 The optional arguments TARGET-DEPTH and WITH-ELSE are historical,
-and have the same meanings as in `c-scan-conditionals'.  If you
+and have the same meanings as in `c-scan-conditionals'.	 If you
 are calling c-forward-conditional from a program, you might want
 to call `c-scan-conditionals' directly instead."
   (interactive "p")
@@ -3025,7 +3008,7 @@ to call `c-scan-conditionals' directly i
 (defun c-scan-conditionals (count &optional target-depth with-else)
   "Scan forward across COUNT preprocessor conditionals.
 With a negative argument, scan backward across preprocessor
-conditionals.  Return the end position.  Point is not moved.
+conditionals.  Return the end position.	 Point is not moved.
 
 If there aren't enough preprocessor conditionals, throw an error.
 
@@ -3060,7 +3043,7 @@ are treated as conditional clause limits
 			;; comes at the beginning of a line aside from
 			;; whitespace, search first for a string
 			;; starting with # sign.  Then verify what
-			;; precedes it.  This is faster on account of
+			;; precedes it.	 This is faster on account of
 			;; the fastmap feature of the regexp matcher.
 			(funcall search-function
 				 "#[ \t]*\\(if\\|elif\\|endif\\|else\\)"
@@ -3121,12 +3104,12 @@ are treated as conditional clause limits
 
 If `c-tab-always-indent' is t, always just indent the current line.
 If nil, indent the current line only if point is at the left margin or
-in the line's indentation; otherwise insert some whitespace[*].  If
+in the line's indentation; otherwise insert some whitespace[*].	 If
 other than nil or t, then some whitespace[*] is inserted only within
 literals (comments and strings), but the line is always reindented.
 
 If `c-syntactic-indentation' is t, indentation is done according to
-the syntactic context.  A numeric argument, regardless of its value,
+the syntactic context.	A numeric argument, regardless of its value,
 means indent rigidly all the lines of the expression starting after
 point so that this line becomes properly indented.  The relative
 indentation among the lines of the expression is preserved.
@@ -3330,17 +3313,15 @@ non-nil."
   ;; compiled, e.g. in the menus.
   (c-region-is-active-p))
 
-(defun c-indent-line-or-region (&optional arg region)
-  "Indent active region, current line, or block starting on this line.
-In Transient Mark mode, when the region is active, reindent the region.
-Otherwise, with a prefix argument, rigidly reindent the expression
-starting on the current line.
-Otherwise reindent just the current line."
-  (interactive
-   (list current-prefix-arg (use-region-p)))
-  (if region
+(defun c-indent-line-or-region ()
+  "When the region is active, indent it syntactically.	Otherwise
+indent the current line syntactically."
+  ;; Emacs has a variable called mark-active, XEmacs uses region-active-p
+  (interactive)
+  (if (c-region-is-active-p)
       (c-indent-region (region-beginning) (region-end))
-    (c-indent-command arg)))
+    (c-indent-line)))
+
 
 ;; for progress reporting
 (defvar c-progress-info nil)
@@ -3355,7 +3336,7 @@ Otherwise reindent just the current line
     (message "Indenting region... (this may take a while)"))
    ;; If progress has already been initialized, do nothing. otherwise
    ;; initialize the counter with a vector of:
-   ;;     [start end lastsec context]
+   ;;	  [start end lastsec context]
    (c-progress-info)
    (t (setq c-progress-info (vector start
 				    (save-excursion
@@ -3493,7 +3474,7 @@ command to conveniently insert and align
 		      (setq column (max column bs-col-after-end)))
 		  (goto-char from))
 	      ;; No preceding backslash.  Try to align with one
-	      ;; following the region.  Disregard the backslash at the
+	      ;; following the region.	Disregard the backslash at the
 	      ;; to line since it's likely to be bogus (e.g. when
 	      ;; called from c-newline-and-indent).
 	      (if (numberp bs-col-after-end)
@@ -3642,7 +3623,7 @@ command to conveniently insert and align
 ;; of the text handling to the currently active mode for that
 ;; (e.g. adaptive-fill-mode or filladapt-mode) and do as little as
 ;; possible to make them work correctly wrt the comment and string
-;; separators, one-line paragraphs etc.  Unfortunately, when it comes
+;; separators, one-line paragraphs etc.	 Unfortunately, when it comes
 ;; to it, there's quite a lot of special cases to handle which makes
 ;; the code anything but simple.  The intention is that it will work
 ;; with any well-written text filling package that preserves a fill
@@ -3802,14 +3783,14 @@ command to conveniently insert and align
 		   ;; the prefix really is the empty string.
 		   ;; E.g. this is an unclosed comment:
 		   ;;
-		   ;;     /*
-		   ;;     foo
+		   ;;	  /*
+		   ;;	  foo
 		   ;;
 		   ;; But this is not:
 		   ;;
-		   ;;     /*
-		   ;;       foo
-		   ;;     */
+		   ;;	  /*
+		   ;;	    foo
+		   ;;	  */
 		   ;;
 		   ;; (Looking for the presence of the comment closer
 		   ;; rarely works since it's probably the closer of
@@ -3906,7 +3887,7 @@ command to conveniently insert and align
 	    (or (catch 'found
 		  ;; Search for a line which has text after the prefix
 		  ;; so that we get the proper amount of whitespace
-		  ;; after it.  We start with the current line, then
+		  ;; after it.	We start with the current line, then
 		  ;; search backwards, then forwards.
 
 		  (goto-char prefix-line)
@@ -4027,7 +4008,7 @@ command to conveniently insert and align
 	;; beg and end limit the region to narrow.  end is a marker.
 	beg end
 	;; tmp-pre and tmp-post mark strings that are temporarily
-	;; inserted at the start and end of the region.  tmp-pre is a
+	;; inserted at the start and end of the region.	 tmp-pre is a
 	;; cons of the positions of the prepended string.  tmp-post is
 	;; a marker pointing to the single character of the appended
 	;; string.
@@ -4117,7 +4098,7 @@ command to conveniently insert and align
 			 (eq (char-before (1- end)) ?*)
 			 ;; disallow "/*/"
 			 (> (- (cdr c-lit-limits) (car c-lit-limits)) 3)))
-	      ;; There is a comment ender, and the region includes it.  If
+	      ;; There is a comment ender, and the region includes it.	If
 	      ;; it's on its own line, it stays on its own line.  If it's got
 	      ;; company on the line, it keeps (at least one word of) it.
 	      ;; "=====*/" counts as a comment ender here, but "===== */"
@@ -4133,7 +4114,7 @@ command to conveniently insert and align
 ;		    (or (<= (- (cdr c-lit-limits) 2) (point))
 ; 2010-10-17  Construct removed.
 ;		    (or (< (- (cdr c-lit-limits) 2) (point))
-		    (and
+		    (and 
 		     (search-forward-regexp
 		      (concat "\\=[ \t]*\\(" c-current-comment-prefix "\\)")
 		      (- (cdr c-lit-limits) 2) t)
@@ -4148,8 +4129,8 @@ command to conveniently insert and align
 		;; and the last word either by one or two 'x's (when
 		;; FILL-PARAGRAPH is non-nil), or a row of x's the same width
 		;; as the whitespace (when auto filling), and include it in
-		;; the region.  We'll change them back to whitespace
-		;; afterwards.  The effect of this is to glue the comment
+		;; the region.	We'll change them back to whitespace
+		;; afterwards.	The effect of this is to glue the comment
 		;; ender to the last word in the comment during filling.
 		(let* ((ender-start (save-excursion
 				      (goto-char (cdr c-lit-limits))
@@ -4182,8 +4163,8 @@ command to conveniently insert and align
 						 "\\)[ \t]*\\)"))
 			     (eq ender-start (match-end 0)))
 			;; The comment ender is prefixed by nothing but a
-			;; comment line prefix.  IS THIS POSSIBLE?  (ACM,
-			;; 2006/4/28).  Remove it along with surrounding ws.
+			;; comment line prefix.	 IS THIS POSSIBLE?  (ACM,
+			;; 2006/4/28).	Remove it along with surrounding ws.
 			(setq spaces (- (match-end 1) (match-end 2)))
 		      (goto-char ender-start))
 		    (skip-chars-backward " \t\r\n") ; Surely this can be
@@ -4390,7 +4371,9 @@ Warning: Regexp from `c-comment-prefix-r
 	  (forward-char (- hang-ender-stuck))
 	  (if (or fill-paragraph (not auto-fill-spaces))
 	      (insert-char ?\  hang-ender-stuck t)
-	    (insert auto-fill-spaces))
+	    (insert auto-fill-spaces)
+	    ;; (setq here (- here (- hang-ender-stuck (length auto-fill-spaces))))
+	    )
 	  (delete-char hang-ender-stuck)
 	  (goto-char here))
 	(set-marker tmp-post nil))
@@ -4407,7 +4390,7 @@ details).
 
 If point is inside multiline string literal, fill it.  This currently
 does not respect escaped newlines, except for the special case when it
-is the very first thing in the string.  The intended use for this rule
+is the very first thing in the string.	The intended use for this rule
 is in situations like the following:
 
 char description[] = \"\\
@@ -4454,7 +4437,7 @@ new line is indented according to `c-syn
 
 If a fill prefix is specified, it overrides all the above."
   ;; allow-auto-fill is used from c-context-line-break to allow auto
-  ;; filling to break the line more than once.  Since this function is
+  ;; filling to break the line more than once.	Since this function is
   ;; used from auto-fill itself, that's normally disabled to avoid
   ;; unnecessary recursion.
   (interactive)
@@ -4488,7 +4471,7 @@ If a fill prefix is specified, it overri
 		   (<= (c-point 'bol) (car c-lit-limits)))
 	      ;; The adaptive fill function has generated a prefix, but
 	      ;; we're on the first line in a block comment so it'll be
-	      ;; wrong.  Ignore it to guess a better one below.
+	      ;; wrong.	 Ignore it to guess a better one below.
 	      (setq fill-prefix nil)
 	    (when (and (eq c-lit-type 'c++)
 		       (not (string-match (concat "\\`[ \t]*"
@@ -4539,13 +4522,13 @@ If a fill prefix is specified, it overri
 		 ;; FIXME: This doesn't work well in cases like
 		 ;;
 		 ;; /* Bla bla bla bla bla
-		 ;;         bla bla
+		 ;;	    bla bla
 		 ;;
 		 ;; If point is on the 'B' then the line will be
 		 ;; broken after "Bla b".
 		 ;;
 		 ;; If we have an empty comment, /*   */, the next
-		 ;; lot of code pushes point to the */.  We fix
+		 ;; lot of code pushes point to the */.	 We fix
 		 ;; this by never allowing point to end up to the
 		 ;; right of where it started.
 		 (while (and (< (current-column) (cdr fill))
@@ -4573,7 +4556,7 @@ If a fill prefix is specified, it overri
 		   (insert-and-inherit (car fill))
 		   (if (> (current-column) start-col)
 		       (move-to-column start-col)))) ; can this hit the
-					             ; middle of a TAB?
+						     ; middle of a TAB?
 	     ;; Inside a comment that should be broken.
 	     (let ((comment-start comment-start)
 		   (comment-end comment-end)
@@ -4619,7 +4602,7 @@ If a fill prefix is specified, it overri
 	     (indent-to col))))))
 
 (defalias 'c-comment-line-break-function 'c-indent-new-comment-line)
-(make-obsolete 'c-comment-line-break-function 'c-indent-new-comment-line "21.1")
+(make-obsolete 'c-comment-line-break-function 'c-indent-new-comment-line nil)
 
 ;; advice for indent-new-comment-line for older Emacsen
 (unless (boundp 'comment-line-break-function)
@@ -4643,7 +4626,7 @@ non-empty line instead.
 
 When point is inside the content of a preprocessor directive, a line
 continuation backslash is inserted before the line break and aligned
-appropriately.  The end of the cpp directive doesn't count as inside
+appropriately.	The end of the cpp directive doesn't count as inside
 it.
 
 When point is inside a comment, continue it with the appropriate
@@ -4711,7 +4694,7 @@ inside a preprocessor directive."
 (defun c-context-open-line ()
   "Insert a line break suitable to the context and leave point before it.
 This is the `c-context-line-break' equivalent to `open-line', which is
-normally bound to C-o.  See `c-context-line-break' for the details."
+normally bound to C-o.	See `c-context-line-break' for the details."
   (interactive "*")
   (let ((here (point)))
     (unwind-protect
@@ -4726,4 +4709,5 @@ normally bound to C-o.  See `c-context-l
 
 (cc-provide 'cc-cmds)
 
+;;; arch-tag: bf0611dc-d1f4-449e-9e45-4ec7c6936677
 ;;; cc-cmds.el ends here
--- emacs24-24.3+1.orig/lisp/progmodes/cc-compat.el
+++ emacs24-24.3+1/lisp/progmodes/cc-compat.el
@@ -1,20 +1,22 @@
 ;;; cc-compat.el --- cc-mode compatibility with c-mode.el confusion
 
-;; Copyright (C) 1985, 1987, 1992-2013 Free Software Foundation, Inc.
+;; Copyright (C) 1985, 1987, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
+;;   1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009,
+;;   2010, 2011   Free Software Foundation, Inc.
 
 ;; Authors:    1998- Martin Stjernholm
 ;;	       1994-1999 Barry A. Warsaw
 ;; Maintainer: bug-cc-mode@gnu.org
 ;; Created:    August 1994, split from cc-mode.el
-;; Keywords:   c languages
-;; Package:    cc-mode
+;; Version:    See cc-mode.el
+;; Keywords:   c languages oop
 
 ;; This file is part of GNU Emacs.
 
-;; GNU Emacs is free software: you can redistribute it and/or modify
+;; GNU Emacs is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
-;; the Free Software Foundation, either version 3 of the License, or
-;; (at your option) any later version.
+;; the Free Software Foundation; either version 3, or (at your option)
+;; any later version.
 
 ;; GNU Emacs is distributed in the hope that it will be useful,
 ;; but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -22,7 +24,8 @@
 ;; GNU General Public License for more details.
 
 ;; You should have received a copy of the GNU General Public License
-;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
+;; along with this program; see the file COPYING.  If not, see
+;; <http://www.gnu.org/licenses/>.
 
 ;;; Commentary:
 ;;
@@ -59,8 +62,6 @@
 ;; In case c-mode.el isn't loaded
 (defvar c-indent-level 2
   "*Indentation of C statements with respect to containing block.")
-;;;###autoload(put 'c-indent-level 'safe-local-variable 'integerp)
-
 (defvar c-brace-imaginary-offset 0
   "*Imagined indentation of a C open brace that actually follows a statement.")
 (defvar c-brace-offset 0
@@ -161,4 +162,5 @@ This is in addition to c-continued-state
 
 (cc-provide 'cc-compat)
 
+;;; arch-tag: 564dab2f-e6ad-499c-a4a3-fedec3ecc192
 ;;; cc-compat.el ends here
